# TODO: use gtk4-update-icon-cache
Summary:	GNOME image viewer
Summary(pl.UTF-8):	Przeglądarka obrazów dla GNOME
Name:		loupe
Version:	46.2
Release:	1
License:	GPL v3+
Group:		X11/Applications/Graphics
Source0:	https://download.gnome.org/sources/loupe/46/%{name}-%{version}.tar.xz
# Source0-md5:	2a351b769e9e3877f22e99bfa86874b2
Patch0:		%{name}-x32.patch
URL:		https://gitlab.gnome.org/GNOME/loupe
BuildRequires:	cargo
BuildRequires:	gtk4-devel >= 4.13.6
BuildRequires:	lcms2-devel >= 2.12.0
BuildRequires:	libadwaita-devel >= 1.4
BuildRequires:	libgweather4-devel >= 4.0.0
BuildRequires:	libheif-devel >= 1.14.2
BuildRequires:	libseccomp-devel >= 2.5.0
BuildRequires:	meson >= 0.59.0
BuildRequires:	ninja >= 1.5
BuildRequires:	rpmbuild(macros) >= 2.004
BuildRequires:	rust
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.26
Requires(post,postun):	gtk-update-icon-cache
Requires:	gtk4 >= 4.13.6
Requires:	hicolor-icon-theme
Requires:	lcms2 >= 2.12.0
Requires:	libadwaita >= 1.4
Requires:	libgweather4 >= 4.0.0
Requires:	libheif >= 1.14.2
Requires:	libseccomp >= 2.5.0
ExclusiveArch:	%{rust_arches}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# debugsource packages don't support rust (or require adding some flags to rust/cargo)
%define		_debugsource_packages	0

%description
Loupe is an image viewer application written with GTK 4, Libadwaita
and Rust.

%description -l pl.UTF-8
Loupe to przeglądarka obrazów napisana z użyciem GTK 4, Libadwaita
oraz języka Rust.

%prep
%setup -q
%ifarch x32
%patch0 -p1
%endif

%build
%ifarch x32
export PKG_CONFIG_ALLOW_CROSS=1
%endif
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ifarch x32
export PKG_CONFIG_ALLOW_CROSS=1
%endif
%ninja_install -C build

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ie

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_desktop_database
%update_icon_cache hicolor
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README.md
%attr(755,root,root) %{_bindir}/loupe
%{_datadir}/dbus-1/services/org.gnome.Loupe.service
%{_datadir}/glib-2.0/schemas/org.gnome.Loupe.gschema.xml
%{_datadir}/metainfo/org.gnome.Loupe.metainfo.xml
%{_desktopdir}/org.gnome.Loupe.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Loupe.svg
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Loupe.Devel.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Loupe-symbolic.svg
%changelog
* Wed May 08 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/loupe.git;a=log;h=master

* Wed May 08 2024 Jakub Bogusz <qboosh@pld-linux.org> cffe839
- updated to 46.2

* Sat Dec 16 2023 Jakub Bogusz <qboosh@pld-linux.org> 1fbf16b
- updated to 45.3

* Sun Dec 10 2023 Jan Rękorajski <baggins@pld-linux.org> 199fa15
- remove unsupported locale, adapterized, rel 2

* Sat Dec 09 2023 Jakub Bogusz <qboosh@pld-linux.org> 7eb887d
- updated to 45.2

* Sun Sep 17 2023 Jakub Bogusz <qboosh@pld-linux.org> 8662f47
- added x32 patch, disable debugsource packages

* Sat Sep 16 2023 Jakub Bogusz <qboosh@pld-linux.org> f026ddf
- fixed files, release 1

* Fri Jul 28 2023 Jakub Bogusz <qboosh@pld-linux.org> 5ec9a8d
- initial; despite 44.x version it depends on libraries versions from GNOME 45

